import { TSocket } from '../utilities/types'
import { Server as SocketServer } from 'socket.io'
import QueueManager from '../managers/queueManager'

export default class SomeJob {
  constructor(private params: any) {}

  public static initializeSocket(socket: TSocket) {
    socket.on('character:connect', () => QueueManager.newJob('SomeJob', {}, socket));
  }

  async execute(io: SocketServer, socket?: TSocket) {
    // Handle the event
    if (socket) {
      socket.emit('notification', { message: 'Something happened with socket' })
    }
    // Use io for broadcasting if needed
    io.emit('notification', { message: 'Something happened' })
  }
}
